/**
 * @file ft_sender.h
 *
 * @brief This file contains function prototypes of state machine handler function
*/

#ifndef FT_SENDER_H_
#define FT_SENDER_H_

#include "segmentation.h"
#include "tc_tm_sample.h"

#define FT_SESSION_ID_INC      0
#define FT_SESSION_ID_DEC      1
#define FT_SESSION_ID_CLR      2
#define FT_SESSION_ID_MAX      7

tc_tm_id_e_ft ft_statemachine_upload(void);
void ft_tx_session_id_update(uint8 option);
uint8_t ft_tx_session_id_read(void);
void ft_save_session_start_time(void);
time_t ft_get_session_time(void);
void ft_save_session_end_time(void);

#endif /* FT_SENDER_H_ */
